# CommandParserInterface.h File Reference

Contains CommandParserInterface , from which you derive custom command parsers. More...

`#include "RakMemoryOverride.h"`
`#include "RakNetTypes.h"`
`#include "DS_OrderedList.h"`
`#include "Export.h"`

## Classes
class | CommandParserInterface
| The interface used by command parsers. More...
## Functions
int RAK_DLL_EXPORT | RegisteredCommandComp (const char *const &key, const RegisteredCommand &data)
| List of commands registered with RegisterCommand().

## Detailed Description

Contains CommandParserInterface , from which you derive custom command parsers.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.